ClawOps Docs
API Reference

번호 목록 조회

GET
/v1/accounts/{accountId}/numbers

계정에 등록된 전화번호 목록을 반환합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/numbers"
{
  "data": [
    {
      "number": "07012340001",
      "source": "pool",
      "webhookUrl": "https://my-app.com/voice",
      "webhookMethod": "POST",
      "routingType": "webhook",
      "sipEndpointId": null,
      "webhookHeaders": {
        "X-Webhook-Token": "tenant-secret-abc123"
      },
      "statusCallback": "https://my-app.com/call-status",
      "statusCallbackEvents": "ringing answered completed",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}